Name:		mediawiki-InputBox
Version:	0
Release:	0.2.20090420svn%{?dist}
Summary:	An extension to enable input box tags for mediawiki pages

Group:		Applications/Internet
License:	Public Domain
URL:		http://www.mediawiki.org/wiki/Extension:InputBox
# http://svn.wikimedia.org/viewvc/mediawiki/trunk/extensions/InputBox/InputBox.classes.php?revision=49657
Source0:	InputBox.classes.php
# http://svn.wikimedia.org/viewvc/mediawiki/trunk/extensions/InputBox/InputBox.hooks.php?revision=49657
Source1:	InputBox.hooks.php
# http://svn.wikimedia.org/viewvc/mediawiki/trunk/extensions/InputBox/InputBox.i18n.php?revision=49657
Source2:	InputBox.i18n.php
# http://svn.wikimedia.org/viewvc/mediawiki/trunk/extensions/InputBox/InputBox.php?revision=49657
Source3:	InputBox.php
Source4:	README.fedora
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:	noarch

Requires:	mediawiki >= 1.11

%description
The InputBox extension is a MediaWiki extension which adds already created HTML
forms to wiki pages. Users can "complete" a form (entering text, selecting menu
items, etc.) by entering text into the box.

InputBox was originally created by Erik Moeller for the purpose of adding a
Create an article box to Wikinews.

%prep

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/mediawiki/extensions/InputBox
install -pm 644 %{SOURCE0} %{SOURCE1} %{SOURCE2} %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/mediawiki/extensions/InputBox

mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
install -pm 644 %{SOURCE4} $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_datadir}/mediawiki/extensions/InputBox
%doc %{_docdir}/%{name}-%{version}/README.fedora

%changelog
* Mon Apr 20 2009 John Guthrie <guthrie@counterexample.org> - 0-0.2.20090420svn
- Fixed the source URLs and updated to the latest svn version.

* Tue Mar 31 2009 John Guthrie <guthrie@counterexample.org> - 0-0.1.20090331svn
- Initial package build.
